ServerEvents.recipes(event => {
    event.replaceInput(
        {mod: 'sophisticatedbackpacks'},
        'minecraft:redstone',
        '#kubejs:grist/intelligent/basic'
    )

    event.replaceInput(
        {mod: 'sophisticatedbackpacks'},
        'minecraft:sticky_piston',
        '#kubejs:grist/intelligent/basic'
    )

    event.replaceInput(
        {id: 'sophisticatedbackpacks:upgrade_base'},
        'minecraft:iron_ingot',
        '#kubejs:grist/build/basic'
    )

    event.replaceInput(
        {id: 'sophisticatedstorage:controller'},
        'minecraft:comparator',
        '#kubejs:grist/intelligent/basic'
    );

    event.shapeless('sophisticatedstorage:storage_link', [
        'sophisticatedstorage:controller',
        '2x #kubejs:grist/intelligent/basic'
    ]);
})